- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO::Portable_Server::IdUniquenessStrategyUnique Class Reference

`#include <IdUniquenessStrategyUnique.h>`

Inheritance diagram for TAO::Portable_Server::IdUniquenessStrategyUnique:

[legend]
Collaboration diagram for TAO::Portable_Server::IdUniquenessStrategyUnique:

[legend]
List of all members.

## Public Member Functions
| IdUniquenessStrategyUnique (void)
virtual void | strategy_init (TAO_Root_POA *poa)
virtual void | strategy_cleanup ()
virtual bool | is_servant_activation_allowed (PortableServer::Servant servant, int &wait_occurred_restart_call)
virtual bool | allow_multiple_activations (void) const
virtual ::PortableServer::IdUniquenessPolicyValue | type () const
## Private Attributes
TAO_Root_POA * | poa_

## Constructor & Destructor Documentation

TAO::Portable_Server::IdUniquenessStrategyUnique::IdUniquenessStrategyUnique | ( | void |  | ) |

## Member Function Documentation

bool TAO::Portable_Server::IdUniquenessStrategyUnique::allow_multiple_activations | ( | void |  | ) | const`[virtual]`

Implements TAO::Portable_Server::IdUniquenessStrategy.

bool TAO::Portable_Server::IdUniquenessStrategyUnique::is_servant_activation_allowed | ( | PortableServer::Servant | servant,
|  | int & | wait_occurred_restart_call |
| ) |  |  | `[virtual]`

Implements TAO::Portable_Server::IdUniquenessStrategy.

void TAO::Portable_Server::IdUniquenessStrategyUnique::strategy_cleanup | ( |  | ) | `[virtual]`

Implements TAO::Portable_Server::Policy_Strategy.

void TAO::Portable_Server::IdUniquenessStrategyUnique::strategy_init | ( | TAO_Root_POA * | poa | ) | `[virtual]`

Implements TAO::Portable_Server::Policy_Strategy.

PortableServer::IdUniquenessPolicyValue TAO::Portable_Server::IdUniquenessStrategyUnique::type | ( |  | ) | const`[virtual]`

Implements TAO::Portable_Server::IdUniquenessStrategy.

## Member Data Documentation

TAO_Root_POA* TAO::Portable_Server::IdUniquenessStrategyUnique::poa_`[private]`

The documentation for this class was generated from the following files:

- IdUniquenessStrategyUnique.h
- IdUniquenessStrategyUnique.cpp